package org.openxma.dsl.reference.dto;

import java.io.Serializable;
import java.util.Date;
import org.openxma.dsl.reference.dto.CertificateView;
import org.openxma.dsl.reference.types.valueobject.ProductId;

public abstract class ProductCertViewGen implements Serializable {
	private static final long serialVersionUID = -317285280;
	protected CertificateView certificate;
	protected ProductId oid;
	protected Date version;
	protected String name;
	protected Integer unitPrice;
	protected Integer unitOnStock;
	protected Integer unitOnOrder;
	protected String supplierOid;
	protected String productImageOid;
	protected String certificateOid;
	
	public CertificateView getCertificate() {
        return this.certificate;
    }
	
	public void setCertificate(CertificateView certificate) {
        this.certificate=certificate;
    }
	
	public ProductId getOid() {
        return this.oid;
    }
	
	public void setOid(ProductId oid) {
        this.oid=oid;
    }
	
	public Date getVersion() {
        return this.version;
    }
	
	public void setVersion(Date version) {
        this.version=version;
    }
	
	public String getName() {
        return this.name;
    }
	
	public void setName(String name) {
        this.name=name;
    }
	
	public Integer getUnitPrice() {
        return this.unitPrice;
    }
	
	public void setUnitPrice(Integer unitPrice) {
        this.unitPrice=unitPrice;
    }
	
	public Integer getUnitOnStock() {
        return this.unitOnStock;
    }
	
	public void setUnitOnStock(Integer unitOnStock) {
        this.unitOnStock=unitOnStock;
    }
	
	public Integer getUnitOnOrder() {
        return this.unitOnOrder;
    }
	
	public void setUnitOnOrder(Integer unitOnOrder) {
        this.unitOnOrder=unitOnOrder;
    }
	
	public String getSupplierOid() {
        return this.supplierOid;
    }
	
	public void setSupplierOid(String supplierOid) {
        this.supplierOid=supplierOid;
    }
	
	public String getProductImageOid() {
        return this.productImageOid;
    }
	
	public void setProductImageOid(String productImageOid) {
        this.productImageOid=productImageOid;
    }
	
	public String getCertificateOid() {
        return this.certificateOid;
    }
	
	public void setCertificateOid(String certificateOid) {
        this.certificateOid=certificateOid;
    }
	
    
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("ProductCertView [");
        toStringBuilder.append("oid=").append(getOid()).append(",");
        toStringBuilder.append("version=").append(getVersion()).append(",");
        toStringBuilder.append("name=").append(getName()).append(",");
        toStringBuilder.append("unitPrice=").append(getUnitPrice()).append(",");
        toStringBuilder.append("unitOnStock=").append(getUnitOnStock()).append(",");
        toStringBuilder.append("unitOnOrder=").append(getUnitOnOrder()).append(",");
        toStringBuilder.append("supplierOid=").append(getSupplierOid()).append(",");
        toStringBuilder.append("productImageOid=").append(getProductImageOid()).append(",");
        toStringBuilder.append("certificateOid=").append(getCertificateOid());
        return toStringBuilder.append("]").toString();
    }
}
