package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.SupplierAddress;
import org.openxma.dsl.reference.base.ContactInfo;
import org.openxma.dsl.reference.base.model.impl.BaseEntityImpl;
import org.openxma.dsl.reference.model.Customer;
import org.openxma.dsl.reference.model.Supplier;

public abstract class SupplierGenImpl extends BaseEntityImpl implements Supplier {
	protected String companyName;
	protected SupplierAddress address = new SupplierAddress();
	protected Customer customer;
	protected ContactInfo contact = new ContactInfo();
	protected String type3;
	protected String code3;
	protected String code;
    
	public String getCompanyName() {
		return this.companyName;
	}
	
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public SupplierAddress getAddress() {
		return this.address;
	}
	
	public void setAddress(SupplierAddress address) {
		this.address = address;
	}

	public Customer getCustomer() {
		return this.customer;
	}
	
	public void setCustomer(Customer customer) {
		if (this.customer != customer) {
			this.customer = customer;
		}
	}

	public ContactInfo getContact() {
		return this.contact;
	}
	
	public void setContact(ContactInfo contact) {
		this.contact = contact;
	}

	public String getType3() {
		return this.type3;
	}
	
	public void setType3(String type3) {
		this.type3 = type3;
	}

	public String getCode3() {
		return this.code3;
	}
	
	public void setCode3(String code3) {
		this.code3 = code3;
	}

	public String getCode() {
		return this.code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
    @Override
    public String toString() {
    	StringBuilder toStringBuilder = new StringBuilder("Supplier [");
    	toStringBuilder.append(super.toString()).append(",");
        toStringBuilder.append("companyName=").append(getCompanyName()).append(",");
        toStringBuilder.append("type3=").append(getType3()).append(",");
        toStringBuilder.append("code3=").append(getCode3()).append(",");
        toStringBuilder.append("code=").append(getCode());
        return toStringBuilder.append("]").toString();
    }
}
