package org.openxma.dsl.reference.service.impl;

import java.util.Collection;

import org.openxma.dsl.reference.dto.CustomerOrderView;
import org.openxma.dsl.reference.dto.OrderStateView;
import org.openxma.dsl.reference.model.Customer;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service("orderServiceFacade")
public class OrderServiceFacadeImpl extends OrderServiceFacadeGenImpl {

	@Transactional(readOnly = true)
	public CustomerOrderView findByCustomerOid(String oid) {
		Customer customer = customerDao.load(oid);
		return (CustomerOrderView) mapper.createAndMapOne(customer, CustomerOrderView.class, null);
	}

	public Collection<OrderStateView> findAllOrderStates(String oid) {
		throw new IllegalStateException("not yet implemented");
	}

	public void mergeList(Collection<CustomerOrderView> viewList) {
		throw new IllegalStateException("not yet implemented");
	}

	public void mergeSet(Collection<OrderStateView> viewSet) {
		throw new IllegalStateException("not yet implemented");
	}

}
